org.apache.geode.security

## Interface PostProcessor

- All Known Implementing Classes:
    ExamplePostProcessor, PDXPostProcessor, TestPostProcessor

      public interface PostProcessor

  PostProcessor allows the customer to massage the values seen by a particular user.
  Since:
    Geode 1.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `close()` Give the implementation a chance to close the resources used.
    `default void` | `init(java.util.Properties securityProps)` Given the security props of the server, properly initialize the post processor for the server.
    `java.lang.Object` | `processRegionValue(java.lang.Object principal, java.lang.String regionName, java.lang.Object key, java.lang.Object value)` Process the value before sending it to the requester

- - ### Method Detail

    - #### init

          default void init(java.util.Properties securityProps)

      Given the security props of the server, properly initialize the post processor for the server. Initialized at cache creation
      Parameters:
        `securityProps` - security properties

    - #### processRegionValue

          java.lang.Object processRegionValue(java.lang.Object principal,
                                              java.lang.String regionName,
                                              java.lang.Object key,
                                              java.lang.Object value)

      Process the value before sending it to the requester
      Parameters:
        `principal` - The principal that's accessing the value. The type of the principal will depend on how you implemented your SecurityManager
        `regionName` - The region that's been accessed. This could be null.
        `key` - the key of the value that's been accessed. This could be null.
        `value` - the original value. The original value could be null as well.
      Returns:
        the value that will be returned to the requester

    - #### close

          default void close()

      Give the implementation a chance to close the resources used. Called when cache is closed.